e. Example 1: Input: X = "25", Y = "23" Output: 48 Explanation: The. An efficient solution is based on Largest rectangular sub-matrix whose sum is 0 which reduces the time complexity to O (n^3). You are given a weighted undirected graph having n vertices numbered from 1 to n and m edges describing there are edges between a to b with some weight, find the shortest path between the vertex 1 and the vertex n and if path does not. Solved 3 Linked list problems using Recursion and two-pointers approach:. In the end, the min heap contains the K largest elements of the array. The Karger’s algorithm would produce this Min-Cut if and only if none of the edges in set {e 1, e 2, e 3, . Shortest path length between two given nodes such that adjacent nodes are at bit difference 2. O(N), O(N) - GraphsLinkedin/Instagram: Ins. Largest possible 5 digit number is 93000 with sum 12. Here adj[i] contains vectors of size 2,Given a binary tree, the task is to find the maximum path sum. Expected Time Complexity: O (n*m) Expected Space Compelxity: O (n) Constraints: 1 <= n <= 100. Your Task: You don't need to read or print anything, Your task is to complete the function orangesRotting () which takes grid as input parameter and returns the minimum time to rot all the fresh oranges. Given two numbers 'N' and 'S' , find the largest number that can be formed with 'N' digits and whose sum of digits should be equals to 'S'. Follow the steps below to solve the problem: Traverse the array once and keep updating the frequency of array elements in the Map. Given two strings denoting non-negative numbers X and Y. 0 Not attempted (1) AttemptedInput: a [] = {10, -10, 20, -40} k = 6 Output: -10 Explanation: The 6th largest sum among sum of all contiguous subarrays is -10. Create Largest Sum Cycle. Convert all even weight edges into two. org. Largest sum Zigzag sequence in a matrix; Largest area rectangular sub-matrix with equal number of 1's and 0's; Collect maximum coins before hitting a dead end; Find length of the longest consecutive path from a given starting character; Maximum points from top left of matrix to bottom right and return back; Longest Increasing Path in MatrixAdd this topic to your repo. Approach: To solve the problem follow the below idea: This problem can be thought of as the maximum sum contiguous subarray (Kadane’s. Return true if, for every node X in the tree other than the leaves, its value is equal to the sum of its left subtree's value and its right subtree's value. For the given query of: Type 1: given l and r (they are positions), and task is to print the Largest sum Contiguous Subarray. gfg potd gfg potd todaygfg problem of the dayProblem Link:-Link:-h. The problem has been solved using Graph concept ( DFS )The idea of Kadane’s algorithm is to maintain a variable max_ending_here that stores the maximum sum contiguous subarray ending at current index and a. Every node has been assigned a given value. Explanation: Subsequence { 11, 7 } and { 9, 2, 7 } has sum equal to 18. Example 1: Input: N = 7, X = 2 Arr [] = {1, 1, 2, 2, 2, 2, 3} Output: 4 Explanation: 2 occurs 4 times in the given array. Split the given array into K subarrays such that the maximum subarray sum achievable out of K subarrays formed is minimum. And we have to count all such cycles that exist. e. Frequencies of Limited Range Array Elements. With over 1500+ candidates placed in 200+ companies in the last 1 year, Job-A-Thon brings you yet another chance to get placed in top companies. If you are a frequent user of our Practice Portal, you may have already solved the featured Problem of the Day in the past. 3. Easy 224K 27. Example 2: Input : n = 4 arr = [1,2,4,8] Output: [1,2,4,8] Your Task: You don't have to read input or print anything. Example 1: Input: Output: 1 Explanation: 3 -> 3 is a cycle. For the root node, sum of elements in left subtree is 40. Complete the function MissingNumber() that takes array and N as input. Maximum sum path in a matrix from top-left to bottom-right. Efficient Approach: The idea is to use Binary Search to find the subarray of maximum length having sum K. The task is to find subtree with maximum sum in the tree and return its sum. Beginner's DSA Sheet; Love Babbar Sheet; Top 50 Array Problems; Top 50 String Problems; Top 50 DP Problems; Top 50 Graph Problems; Top 50 Tree Problems; Contests. If the sum of all elements is greater than S and its size is greater than K, then update answer with minimum of answer and length of the subarray. Start your problem-solving journey today! You can now create your own custom sprints by adding problems to it. D. 594 views 1 month ago GFG POTD series. Given a number, we need to find sum of its digits using recursion. Find largest subtree having identical left and right subtrees; Sum of all the parent nodes having child node x; Maximum sum from a tree with adjacent levels not allowed; Iterative function to check if two trees are identical; Check if there is a root to leaf path with given sequence; Sum of nodes at maximum depth of a Binary TreeThe longest of them will be the answer. Approach: The idea is to use the Kadane algorithm to solve this problem. This problem is an extension of Largest Sum Subarray Problem. Practice. Rearrange the array in alternating positive and negative items. Contests. Each cell may have multiple entry points but not more than one exit (i. Example 1. e at currIndex = 4). The Sum of a cycle is the sum of node numbers of all nodes in that cycle. Where 5 is the 2nd largest. Pick the rest of the elements one by one and follow the following steps in the loop. Practice. Every node has been assigned a given value. Length of Longest Subarray with same elements in atmost K increments. Given an unsorted array A of size N that contains only positive integers, find a continuous sub-array that adds to a given number S and return the left and right index(1-based indexing) of that subarray. Example 1: Input: N = 5 A[] = {1,2,3,5} Output: 4 Example 2: Input: N = 10 A[] = {6,1,2,8,3,4,7,10,5} Output: 9 Your Task : You don't need to read input or print anything. Approach: Using the graph coloring method, mark all the vertex of the different cycles with unique numbers. We take two pointers, one representing the first element and other representing the last element of the array, and then we add the values kept at both the pointers. - GitHub - iamujj15/Leetcode-GFG-Solutions: This Repository contains my solution for the problems I p. Following is an example of SumTree. GfG Weekly + You = Perfect Sunday Evenings! Given a weighted, undirected and connected graph of V vertices and E edges. Follow the given steps to solve the problem: Let the array have R rows. You have to find the K-th largest sum of contiguous subarray within the array elements. Sum of products of all combination taken (1 to n) at. For a better experience, watch the video at 1. In the following code getTargetLeaf () does this by assigning the result to *target_leaf_ref. Example 1: Input: edges = [3,3,4,2,3] Output: 3 Explanation: The longest cycle in the graph is the cycle: 2 -> 4 -> 3 -> 2. February 2, 2023 08:48. So, we will just check if the largest value of. Input: nums = {2, 8, 5, 4} Output: 1 Explanation: swap 8 with 4. Run two nested loops to find all subarrays. We would like to show you a description here but the site won’t allow us. Length of Longest Subarray with same elements in atmost K increments. This problem is mainly an extension of Largest Sum Contiguous Subarray for 1D array. If there is no cycle in the graph then return -1. MIN_VALUE. Brute approach. Nodes are labeled from 0 to n-1, the task is to check if it contains a negative weight cycle or not. . Example 1: Input: n = 3, edges. Step 3: Pick edge 6-5. Enumeration 58. If the size of the max heap exceeds K, remove the. 3) Do following while E is not empty. Initialize a variable sum with value 0 to store the final answer. The idea is to convert given problem to a simpler problem where we have to just check if there is cycle of odd length or not. Do either BFS or DFS starting from every unvisited. Instructions. 2) Initialize a count variable to 0. Given a binary tree, find the largest value in each level. In that case you must submit your solution again to maintain the streak and earn a Geek Bit. Your task is to return maximum score possible in the given array Arr. An efficient solution is to use hashing. Auxiliary Space: O(n), where N represents the size of the given array. Example 1: Input: N = 9, K = 3 arr[] = 1 2 3 1 4 5. Thus, the explicit formula is . An interview-centric & placement-preparation course designed to prepare you for the role of SDE for product and service-based companies. Submit. Efficient Approach: Find the second largest element in a single traversal. The task is to check if there exists any subarray with K elements whose sum is equal to the given sum. You don't to print answer or take inputs. You are required to return the head of the linked list 2->1->5->null. Method 1 (Simple DFS): We create undirected graph for given city map and do DFS from every city to find maximum length of cable. Time Complexity : O(n 2) Auxiliary Space : O(1) Method 2 (Using Auxiliary Array) The idea is based on the below observations. For a better experience, watch the video at 1. The questions will be featured from a pool of public problems from the GFG Practice Portal. The sum of right-subtree is 1 The sum of tree is 13. Write a program to find the sum of maximum sum subsequence of the given array such that the integers in the subsequence are sorted in increasing order. And how are you relating or detecting entry /exit points?. From the map, find the number of subarrays previously found having sum equal to currsum-sum. The problem is to find the shortest distances between every pair of vertices in a given edge-weighted directed graph. Now run your algorithm to get the maximum weight cycle. Example 1: Input: N = 4, Level up your coding skills and quickly land a job. Examples: {-10, 2, -1, 5}, {-2, 4, -1, 4, -1}. Your task is to complete the function print2largest () which takes the array of integers arr and n as parameters and returns an integer denoting the answer. The task is to find the sum of weights of the edges of the Minimum Spanning Tree. a) If the current element is greater than the first max element, then update second max to the first. Steps to implement-. e 0 to x-1, each remainder separately. Instructions. You don't need to read input or print anything. Back to Explore Page. gfg potd gfg potd todaygfg problem of the dayProblem Link:-Link:-h. Solve. Replace each ar[i] by -ar[i] and then apply Kadane Algorithm. Inputs to queries are left top and right bottom indexes of submatrix whose sum is to find out. If the number of nodes is not a multiple of k then left-out nodes, in the end, should be considered as a group and. Initialize a Max-Heap using a priority queue, say. Example 3: Input: nums = [5,4,-1,7,8] Output: 23 Explanation: The subarray [5,4,-1,7,8] has the largest sum 23. Cycles of length n in an undirected and connected graph. If their sum is smaller than X then we shift the left pointer to right or if their sum is. Input: N = 5, A [] = {5, -2, 3, -6, 5} Output: 11. Follow the below steps to Implement the idea: Initialize the variables max_so_far = INT_MIN and max_ending_here = 0. , it can be colored with two colors “. Example 1: Input: N = 5 Arr [. Example 1: Input: N = 5 Output: 120 Explanation : 5! = 1*2*3*4*5 = 120 Example 2: Input: N = 10 Output: 3628800 Explanation :For m = 1, the number is 168 + 3 = 171, the sum of whose digits is 9. Sum of upper triangle and lower triangle. If “n==1” ,then return arr [0]th element. Given a binary tree. Find the length of each subarray. Connected Components for undirected graph using DFS: Finding connected components for an undirected graph is an easier task. 89% Submissions: 109K+ Points: 4. Maximum sum subarray having sum less than or equal to given sum. You have to find the K-th largest sum of contiguous subarray within the array elements. Practice. Solve company interview questions and improve your coding intellect. Given a Directed Graph with V vertices (Numbered from 0 to V-1) and E edges, check whether it contains any cycle or not. Whether you're preparing for your first job interview or aiming to upskill in this ever-evolving tech landscape, GeeksforGeeks Courses are your key to success. The length of this cycle is 3, so 3 is returned. @Mingle_Tech @Code_Star #mingletech #Mingle_Tech Thank you for watching this video 💛 geeks for geeks, Missing Number in matrix, Absolute List Sorting, Balanced String,. We initialize distances to all vertices as minus infinite and distance to source as 0, then we find a topological sorting of the graph. e. Follow the steps below to solve the given problem: We will calculate the total sum of the given array. Print the shortest path between them. geeksforgeeks. Each cell may have multiple entry points but not more than one exit (ie. Therefore, sum is = 2 + 3 + 1 + 5 = 11. entry/exit points are. Input: source = 0, destination = 4. We will be discussing the entire problem step-by-step a. Return the largest sum of the given array after partitioning. Complete the function sum() which takes array arr and single integer n, as input parameters and returns an integer denoting the answer. Maximize the minimum difference between any element pair by selecting K elements from given Array. Input : arr [] = {10, 1, 3, 15, 30, 40, 4, 50, 2, 1} K = 3 Output : 3 15 30 40 4 50. Run two loops to find all subarrays. Clearly, if this is the max sum formed then the. If we calculate A 3, then the number of triangles in Undirected Graph is equal to trace (A 3) / 6. Examples to illustrate the use of the Sliding window technique. Given a singly linked list of size N of integers. Personalised Dashboard. Design 123. For each node from leaf to root find the maximum sum. A SumTree is a Binary Tree where the value of a node is equal to the sum of the nodes present in its left subtree and right subtree. 3] contains equal number of 0's and 1's. Follow the below steps to solve the problem: Create two. at any step, the sum of the square of digits obtained is a single-digit number except 1 or 7. second and repeat step 1 until currIndex is not -1 or it does not. Find the middle index (say mid ). Example 1: Input: N = 7 a [] = {2,6,1,9,4,5,3} Output:The task is to find minimum edges required to make Euler Circuit in the given graph. The idea is to. 1) First find the leaf node that is on the maximum sum path. Example 1: Input: X = "25", Y = "23" Output: 48 Explanation: The sum of 25 and 23 is 48. Auxiliary Space: O (V+E) If you like GeeksforGeeks and would like to contribute, you can also write an article using write. A cell in the given maze has a value of -1 if it is a blockage or dead-end, else 0. Minimum weighted cycle is : Minimum weighed cycle : 7 + 1 + 6 = 14 or 2 + 6 + 2 + 4 = 14. The sum of nodes considering 2 as the root of subtree is 2 = 2. Tutorials. Given an array Arr[] of N integers. Maximum sub-array is defined in terms of the sum of the elements in the sub-array. ; Sort the array in descending order. It's uses O (N) additional storage. Example 2:Given a linked list of size N. There is a cycle in a graph only if there is a back edge present in the graph. Converging Maze: Largest Sum Cycle 1. cpp. If maxm < 0, then print the value of maxm. Solved 3 Linked list problems using Recursion and two-pointers approach: Flatten given Linked list; Rotate given Linked list; Clone a given Linked list with next and random pointers; Day 79. Write a function that takes an array as an argument and returns the length of the longest bitonic subsequence. Courses. Each cell may have multiple entry points but not more than one exit (ie. Complete the function findSubarray () that takes the array arr and its size n as input parameters and returns the total number of sub-arrays with 0 sum. Given a matrix of size NxM and a list of queries containing (a,b) pairs. Cycle sort is an in-place, unstable sorting algorithm that is particularly useful when sorting arrays containing elements with a small range of values. The idea is to maintain a maximum (positive-sum). Max Sum value chain is {1, 2} with values {10, 25}, hence 35 is answer. In the previous post, we checked whether the maximum value minus the minimum value is equal to the ending index minus starting index or not. Maximum sum path in a matrix from top-left to bottom-right. Each cell may have multiple entry points but not more than one exit (ie. Return max_end – max_start + 1 as the size of the subarray with maximum sum. The task is to find the largest sum of a cycle in the maze(Sum of a cycle is the sum of the cell indexes of all cells present in that cycle). e 5 only. Example 1: The above graph has two cycles of length 4 and 3, the product of cycle lengths is 12. Geek lost the password of his super locker. The task is to find subtree with maximum sum in the tree and return its sum. We one by one remove every edge from the graph, then we find the shortest path between two corner vertices of it. If an a. Given a binary tree. Follow the steps below to solve the given. Given a weighted directed graph with n nodes and m edges. For example in the given tree, maxSum Node = 4 with maximum sum of 28. 138 subscribers. The task is to find the product of the lengths of all cycles formed in it. Solve company interview questions and improve your coding intellectBack to Explore Page. A plus (+) shape has atleast five elements which are { (x-1, y), (x, y-1. This is the best place to expand your knowledge and get prepared for your next interview. Given a binary tree, the task is to print the maximum sum of nodes of a sub-tree which is also a Binary Search Tree. INPUT FORMAT First line has the number of cells N Second line has list of N. . This is O (N) runtime: each edge (of which there's at most N) is followed at most 3 times in the graph, and the cache is updated exactly once for each node in the graph. Nodes are labeled from 0 to n-1, the task is to check if it contains a negative weight cycle or not. If you like GeeksforGeeks and would like to contribute, you can also write an article using. Given a binary tree with a value associated with each node, we need to choose a subset of these nodes such that sum of chosen nodes is maximum under a constraint that no two chosen node in subset should be directly connected that is, if we have taken. An efficient approach will be to find the divisors in O (sqrt n). ans = max (max_so_far, sum – min_so_far) = (12, 11 – (-11)) = 22. The task is to return a linked list that represents the sum of these two numbers. You don't need to read input or print. Example 2: Input: N = 2,K = 2 A [] = {10 5} Output: -1 Explanation: Can't make any increasing subsequence of length 2. If no such row exists, return -1. The idea is to find the sum of string traversed until now. It was developed by W. Find the first non-repeating element in a given array of integers. The element should occur more than once and the index of its first occurrence should be the smallest. But in the case of the number of elements being large, the array in which we store the contiguous. There is no subarray of size 3 as size of whole array is 2. CodeFreaks Kadane's Algorithm | Largest Sum Contiguous Subarray | Java and C++ | Anuj Bhaiya DSAOne Course #13 Problem of The Day: 02/02/2023 | Largest. If there is no cycle in the graph then return -1. Note: edges [i] is defined as u, v and weight. 2) Start traversing the array from array [1],. For example, we have. So contiguous arrays this step produce are (end – start). The task is to return a linked list that represents the sum of these two numbers. Approach: The given problem can be solved by finding all the paths from a given source to a destination and using a Priority Queue to find the K th largest weight. So now S will become “awa”. Given a binary tree with a value associated with each node, we need to choose a subset of these nodes such that sum of chosen nodes is maximum under a constraint that no two chosen node in subset should be directly connected that is, if we have taken a node in our sum then we can’t take its any children or parents in consideration and vice versa. Follow the steps below to solve the problem: Store all the edges corresponding to all the unique weight in a map M. Time Complexity: O(N·M) Auxiliary Space: O(N*M) Efficient Approach: The above approach can be optimized based on the observation that the maximum prefix sum is equal to the sum of the maximum prefix sum of arrays A[] and B[]. If 2nd largest element doesn't exist then return -1. Note: edges [i] is defined as u, v and weight. Solved 3 Linked list problems using Recursion and two-pointers approach:. If total array size is not multiple of k, then we can take partial last array. Here adj [i] contains vectors of size 2, where the first integer in that. Input : 331 Output : 313 Input : 3444 Output : Palindrome cannot be formed. The step-by-step process for a better understanding of how the algorithm works. A-143, 9th Floor, Sovereign Corporate Tower, Sector-136, Noida, Uttar Pradesh - 201305Approach: The given problem can be solved by finding the last element which is greater than its next element, and swapping it with the next smaller element in the array. max and update the first max to the current element. Approach: The given problem can be solved using. A negative cycle is one in which the overall sum of the cycle comes negative. Free, Self-Paced with Lifetime Access using Strivers A2Z DSA Course. a) Pick an arbitrary edge (u, v) from set E and add 'u' and 'v' to result. The smallest value in the right subtree (of x) is greater than the value of x. For example, in the following 2D array, the maximum sum submatrix is highlighted with blue rectangle and sum of all elements in this submatrix is 29. A leaf node is also considered as SumTree. The value of currsum exceeds the desired sum by currsum – sum. Contests Menu. Example 1: Input: N = 3 K = 2 Arr = {3,2,1} Output: 5 Explanation: The different subarray sums we c. Minimum Spanning Tree. Nodes are labeled from 0 to n-1, the task is to check if it contains a negative weight cycle or not. Doing this ensures that the max heap always contains the K smallest elements encountered so far. We initialize distances to all vertices as minus infinite and distance to source as 0, then we find a topological sorting of the graph. If any of the subarray with size K has the sum equal to the given sum then print YES otherwise print NO. Example 1: Input: N = 5 Arr[] = {1,2,3,-2,5} Output: 9 Explanation: Max subarray Welcome to my channel. . Given an integer N, find its factorial. Approach: The problem can be solved using the following mathematical idea:. This is the best place to expand your knowledge and get prepared for your next interview. To find a subarray with median greater or equal to X at least half of the elements should be greater than or equal to X. Union Find 79. Back to Explore Page. Since we want to minimize the sum of two numbers to be formed, we must divide all digits in two halves and assign half-half digits to them. Contests. Explore Page. Find the length of the longest subarray with atmost K occurrences of the integer X. The task is to find the connected chain with the maximum sum of values among all the connected components in the graph. Video. Input: 10 / \ 2 -25 / \ / \ 20 1 3 4 Output: 32 Explanation: Path in the given tree goes like 10 , 2 , 20 which gives the max sum as 32. How to find the smallest number with given digit sum s and number of digits d ? Examples : Input : s = 9, d = 2 Output : 18 There are many other possible numbers like 45, 54, 90, etc with sum of digits as 9 and number of digits as 2. cpp. Traverse through all pairs again and search for X – (current pair sum) in the hash table. Static data structure: Static data structure has a fixed. The task is to find the sum and product of the maximum and minimum elements of the given array. Example 1: Input: N = 4 A [] = {0,1,0,1} Output: 4 Explanation: The array from index [0. This video contains problem of the day solution for GeeksForGeeks question on 2nd Feb 2023 . Time Complexity: O(N 2) Auxiliary Space: O(1) Efficient Approach: We can optimize the above approach by using the below steps. . Input: 10 / 2 -25 / / 20 1 3 4 Output: 32 Explanation: Path in the given tree goes like 10 , 2 , 20 which gives the max sum as 32. First we store the prefix sum in a separate array so that any subarray sum can be calculated in constant time. In this approach, we can traverse the tree in a Depth First Search (DFS) manner, and maintain a level count. Maximum OR sum of sub-arrays of two different arrays. This is the best place to expand your knowledge and get prepared for your next interview. For example, the number 190 will be represented by the linked list, 1->9-. Clearing the DSA round for the Interviews, as these are the questions generally asked in the companies like Amazon, Microsoft, Google, etc. Can you solve this real interview question? Binary Tree Maximum Path Sum - Level up your coding skills and quickly land a job. Hence this is the valid answer. Given a 2D array, find the maximum sum submatrix in it. The path may start and end at any node in the tree. Practice. However, the longest path problem has a linear time solution for directed acyclic graphs. Given an Undirected simple graph, We need to find how many triangles it can have. It is done when a certain node creates an imbalance in the heap due to some operations on that node. Find the 0-based index of the first row that has the maximum number of 1's. Method 1 There can be two cases for the maximum sum: Case 1: The elements that contribute to the maximum sum are arranged such that no wrapping is there. Suppose S = “zzwzawa” and K = 2. The point at which they meet is the start of the loop. return a list of integers denoting the digits that make up the factorial of N. We follow the same steps as above, just iterate till sqrt (n) and get i and n/i as. Example 2:Output: Maximum difference is 109. 1) If count is equal to K, simply return current Node as it. Jobs. In that case you must submit your solution again to maintain the streak and earn a Geek Bit. For example, consider the following two graphs. Matrix[i][j] denotes the weight of the edge from i to j. However, the longest path problem has a linear time solution for directed acyclic graphs. Example 1: Input: n = 3 arr = [1,2,3] Output: [1,2] Explanation: Largest Divisble Subset is [1,2]. + 3 more. Make a boolean variable for each subarray that will initially contain false and when that subarray has. Your task is to return the minimized largest sum of the split. and there. Practice. . Approach: The approach to the solution is based on the concept of longest common subsequence and we need to check if sum of elements of subsequence is equal to given value. The plus (+) shape pattern is formed by taking any element with co-ordinate (x, y) as a center and then expanding it in all four directions (if possible) . The cells are named with an integer value from 0 to N−1. Clearing the DSA round for the Interviews, as these are the questions generally asked in the companies like Amazon, Microsoft,. In the above step, the row sum from starting to ending column can be calculated in constant time by creating an auxiliary matrix of size N*M containing the prefix sum of each row. Note that in graph on right side, vertices 3 and 4 are swapped. Recommended Practice. Print numbers such that no two consecutive numbers are co-prime and every three consecutive numbers are co-prime. Below is the complete algorithm for doing this: 1) Initialize the first as 0 (i. Follow the steps below to solve the problem: Initialize an adjacency list to create a graph from the given set of edges Edges [] []. So T will become “zzz” and we will remove letters from the left of S until all the z’s are removed. Return the sum of all subarray ranges of arr. The result is going to be very large, hence return the result in the form of a string. Given an array Arr, with indexes running from 0 to N, select any two indexes, i and j such that i<=j-1. The path may start and end at any node in the tree. The task is to find the largest sum of a cycle in the maze (Sum of a cycle is the sum of the cell indexes of all cells present in that cycle). 1) If current has no right child a) Increment count and check if count is equal to K. Example 2: Input: N. The solution is based on Maximum sum rectangle in a 2D matrix. Company Tags. Let A [] [] be the adjacency matrix representation of the graph. I used a dfs on graph approach in. If “n != 1” , then a recursive call the function “largestSum” to find the largest sum of the subarray “arr [0…n-1]” excluding the last element “arr [n-1]”. 4) Return result. Efficient Approach: The idea is to consider the odd elements as 1 and even elements as -1 and return the length of the longest sub-array with the sum equal to 0. Explanation: Find the sum of the maximum sum subsequence of the given array such that the integers in the subsequence are sorted in strictly increasing order i. So, the numbers are 2m and 3m. Given a binary tree.